%define vendor firefly
%define debug_package %{nil}

Summary: An X Input Method Server for Chinese.
Name: xcin
Version: 2.5.3.pre3
Release: 20.10.%{vendor}
License: GPL
Group: User Interface/X
Source0: ftp://xcin.linux.org.tw/pub/xcin/xcin/%{name}-%{version}.tar.gz
Source2: xcin.xpm
Source3: xcin.wrap
Patch0:  xcin-2.5.3.pre3-xcinrc.LINUX-20040105.patch
Patch1:  xcin-2.5.3.pre3-RootStyle-20040102.patch
Patch2:  xcin-2.5.3.pre3-OverTheSpot-20040102.patch
Patch3:  xcin-2.5.3.pre3-OnTheSpot-20040105.patch
Patch4:  xcin-2.5.3.pre3-bimsphone-20040102.patch
Patch5:  xcin-2.5.3-utf8-makefile-20031223.patch
Patch6:  xcin-2.5.3.pre3-cin2tab-20040102.patch
Patch7:  xcin-2.5.3-syscin_utf8.patch
Patch8:  xcin-2.5.3-cj5_utf8.patch
Patch9:  xcin-2.5.3-simplex5_utf8.patch
BuildRequires: libtabe >= 0.2.4a
Requires: libtabe >= 0.2.4a
BuildPrereq: db4-devel,libtabe-devel
Buildroot: %{_tmppath}/%{name}-buildroot

%description
An X Input Method Server for Chinese.

%prep

rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

find . -name CVS | xargs rm -rf

#(cd po; \
#OLD_PO_FILE_INPUT=yes msgmerge xcin-zh_TW.po xcin.pot > new.po; \
#mv new.po xcin-zh_TW.po; \
#)

%build
#cp /usr/share/libtool/config.sub $RPM_BUILD_DIR/%{name}/script/
#cp /usr/share/libtool/config.guess $RPM_BUILD_DIR/%{name}/script/
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr/X11R6 --libdir=/usr/X11R6/%{_lib} \
        --with-xcin-dir=/usr/X11R6/%{_lib}/X11/xcin \
	--with-xcin-rcdir=/etc/chinese/xcin \
	--with-localedir=/usr/share/locale \
	--with-extra-lib=/usr/%{_lib}

#perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool

make
#( cd po; msgfmt -o xcin.mo xcin-zh_TW.po )

%install

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/etc/chinese/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/X11/xcin/tab
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man

export program_prefix=$RPM_BUILD_ROOT
export xcin_rcp=$RPM_BUILD_ROOT/etc/chinese/xcin
make -e install

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Utilities/
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/

install -m 644 $RPM_SOURCE_DIR/xcin.xpm \
		$RPM_BUILD_ROOT/usr/share/icons/xcin.xpm
#install -m 644 po/xcin.mo $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/xcin.mo
install -m 644 src/lib/.libs/libxcin.so.0.0.0 $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT/usr/X11R6/man
rm -f $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/{libxcin.a,libxcin.la}
rm -rf $RPM_BUILD_ROOT/usr/X11R6/share

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/* 
%dir /etc/chinese
%dir /etc/chinese/xcin
%config /etc/chinese/xcin/xcinrc
/usr/X11R6/bin/*
/usr/X11R6/%{_lib}/X11/xcin/
/usr/X11R6/%{_lib}/libxcin.so.0.0.0
/usr/share/icons/xcin.xpm
#%lang(zh_TW) /usr/share/locale/zh_TW/LC_MESSAGES/xcin.mo

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
